DistUpgrade Bug

Bug #63061 reported by Delete Me on 2006-09-29
8
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Medium
Michael Vogt

Bug Description

Please report this as a bug and include the files /var/log/dist-upgrade/main.log and /var/log/dist-upgrade/apt.log in your report. The upgrade aborts now.
Your original sources.list was saved in /etc/apt/sources.list.distUpgrade.

Traceback (most recent call last):

  File "/usr/bin/update-manager", line 84, in ?
    controler.doPostUpgrade()

  File "/usr/lib/python2.4/site-packages/DistUpgrade/DistUpgradeControler.py", line 517, in doPostUpgrade
    if not self.cache._tryMarkObsoleteForRemoval(pkgname, remove_candidates, self.foreign_pkgs):

  File "/usr/lib/python2.4/site-packages/DistUpgrade/DistUpgradeCache.py", line 280, in _tryMarkObsoleteForRemoval
    self[pkgname].markDelete()

  File "/usr/lib/python2.4/site-packages/apt/cache.py", line 82, in __getitem__
    return self._dict[key]

KeyError: 'ivman'

main.log:

2006-09-28 23:21:47,972 DEBUG Foreign:
2006-09-28 23:21:47,973 DEBUG Obsolete:
2006-09-28 23:21:47,975 DEBUG updateSourcesList()
2006-09-28 23:21:48,034 DEBUG rewriteSourcesList()
2006-09-28 23:21:48,537 DEBUG examining: 'deb http://au.archive.ubuntu.com/ubuntu/ dapper main restricted'
2006-09-28 23:21:48,537 DEBUG entry 'deb http://au.archive.ubuntu.com/ubuntu/ edgy main restricted' updated to new dist
2006-09-28 23:21:48,538 DEBUG examining: 'deb-src http://au.archive.ubuntu.com/ubuntu/ dapper main restricted'
2006-09-28 23:21:48,538 DEBUG entry 'deb-src http://au.archive.ubuntu.com/ubuntu/ edgy main restricted' updated to new dist
2006-09-28 23:21:48,538 DEBUG examining: 'deb http://au.archive.ubuntu.com/ubuntu/ dapper-updates main restricted'
2006-09-28 23:21:48,538 DEBUG entry 'deb http://au.archive.ubuntu.com/ubuntu/ edgy-updates main restricted' updated to new dist
2006-09-28 23:21:48,539 DEBUG examining: 'deb-src http://au.archive.ubuntu.com/ubuntu/ dapper-updates main restricted'
2006-09-28 23:21:48,539 DEBUG entry 'deb-src http://au.archive.ubuntu.com/ubuntu/ edgy-updates main restricted' updated to new dist
2006-09-28 23:21:48,539 DEBUG examining: 'deb http://security.ubuntu.com/ubuntu dapper-security main restricted'
2006-09-28 23:21:48,539 DEBUG entry 'deb http://security.ubuntu.com/ubuntu edgy-security main restricted' updated to new dist
2006-09-28 23:21:48,539 DEBUG examining: 'deb-src http://security.ubuntu.com/ubuntu dapper-security main restricted'
2006-09-28 23:21:48,539 DEBUG entry 'deb-src http://security.ubuntu.com/ubuntu edgy-security main restricted' updated to new dist
2006-09-28 23:21:59,232 DEBUG Marking 'ubuntu-desktop' for upgrade
2006-09-28 23:21:59,235 DEBUG Removing 'xchat' (ubuntu-desktop PostUpgradeRemove rule)
2006-09-28 23:21:59,235 DEBUG Removing 'xscreensaver' (ubuntu-desktop PostUpgradeRemove rule)
2006-09-28 23:21:59,236 DEBUG Purging 'xorg-common' (Distro PostUpgradePurge rule)
2006-09-28 23:21:59,236 DEBUG Purging 'libgl1-mesa' (Distro PostUpgradePurge rule)
2006-09-28 23:21:59,469 DEBUG About to apply the following changes
2006-09-28 23:21:59,515 DEBUG Remove: xserver-xorg-driver-sis xserver-xorg-driver-via xserver-xorg-driver-i128 xserver-xorg-driver-newport python2.4-dbus python2.4-libxslt1 python2.4-libxml2 gtk2-engines-industrial python2.4-glade2 xserver-xorg-driver-i740 python2.4-cairo python2.4-xml python2.4-tk xserver-xorg-driver-tga xserver-xorg-driver-vga python2.4-gobject xserver-xorg-driver-chips python2.4-pyorbit xserver-xorg-driver-voodoo python2.4-gdbm xserver-xorg-driver-ati libvte4 python2.4-gtk2 libgcj7 xserver-xorg-driver-all xserver-xorg-driver-trident libxklavier10 xserver-xorg-driver-tseng xserver-xorg-driver-cyrix xserver-xorg-driver-tdfx xserver-xorg-driver-cirrus xserver-xorg-driver-siliconmotion xserver-xorg-driver-s3 x-window-system-core libgl1-mesa bluez-pcmcia-support xserver-xorg-driver-rendition xserver-xorg-driver-s3virge xserver-xorg-driver-mga python2.4-apt python2.4-gnome2-extras xserver-xorg-driver-v4l xserver-xorg-driver-savage xserver-xorg-driver-neomagic python2.4-numeric xserver-xorg-driver-nsc xserver-xorg-driver-nv xserver-xorg-driver-glint xserver-xorg-driver-ark python2.4-gnome2-desktop xserver-xorg-driver-vmware xserver-xorg-driver-sisusb xserver-xorg-driver-dummy xserver-xorg-driver-i810 xserver-xorg-driver-vesa xserver-xorg-driver-apm xserver-xorg-driver-fbdev sysvinit xserver-xorg-driver-imstt libnewt0.51 python2.4-gnome2
2006-09-28 23:21:59,515 DEBUG Install: legacyhuman-theme libxevie1 xserver-xorg-video-voodoo mono-common mono-gac usplash-theme-ubuntu python-apport-utils libwww-perl python-support edgy-session-splashes libgtk2.0-cil xserver-xorg-video-imstt edgy-community-wallpapers xserver-xorg-video-tga xserver-xorg-video-newport resilience-theme libpci2 edgy-wallpapers xserver-xorg-video-tdfx xserver-xorg-video-nv f-spot libhtml-parser-perl libvte9 binfmt-support libgsf-1-114 linux-image-2.6.17-10-386 industrialtango-theme libmono-system1.0-cil xserver-xorg-video-siliconmotion liboobs-1-1 human-theme libmono-security1.0-cil libmyspell3c2 xserver-xorg-video-mga xbitmaps outdoors-theme tasksel libxml-perl libxklavier11 python-cairo gray-theme xserver-xorg-video-v4l xserver-xorg-video-nsc hwdb-client-common totem-mozilla xserver-xorg-video-trident xserver-xorg-video-cyrix xserver-xorg-video-rendition libnautilus-burn4 xserver-xorg-video-cirrus libgksu2-0 gnome-keyring-manager libenchant1c2a xorg libvolumeid0 libgucharmap5 xserver-xorg-video-vesa xserver-xorg-video-i740 xserver-xorg-video-s3 fontconfig-config tasksel-data upstart-compat-sysv human-gtk-theme libgnome2.0-cil libmono-sharpzip0.84-cil xserver-xorg-video-fbdev hwdb-client-gnome dash cli-common libdb4.4 python-dbus libgconf2.0-cil ssl-cert startup-tasks libvisual-0.4-0 console-setup xserver-xorg-video-via xserver-xorg-video-sis python-central xserver-xorg-video-chips mono-jit libgtop2-common gcc-4.1-base metacity-common libbluetooth2 libglib1.2 libebook1.2-9 libdirectfb-0.9-24 linux-restricted-modules-2.6.17-10-386 libnewt0.52 apport human-cursors-theme xserver-xorg-video-s3virge libexchange-storage1.2-2 volumeid libgadu3 tzdata xserver-xorg-video-savage mktemp python-gobject xserver-xorg-video-all cupsys-common xserver-xorg-video-i810 libdbus-1-cil libmono-system-data1.0-cil libraw1394-8 libegroupwise1.2-12 xserver-xorg-video-vmware silicon-theme python-problem-report libhtml-tree-perl xserver-xorg-video-sisusb libgnutls13 xserver-xorg-video-dummy xserver-xorg-video-glint liburi-perl libparted1.7-1 human-icon-theme libmono-cairo1.0-cil xserver-xorg-video-ati upstart xkb-data console-terminus libedataserverui1.2-8 gnome-media-common libxml-parser-perl tomboy xserver-xorg-video-vga libnet-dbus-perl libxml-grove-perl libmono-corlib1.0-cil libecal1.2-7 libgcj7-0 system-services edgy-gdm-themes libiec61883-0 apport-gtk xfonts-encodings libtasn1-3 libglade2.0-cil libdbus-1-3 libmono0 libgmime2.2-cil libgmime-2.0-2 mono-runtime libgail18 libmono1.0-cil libmono-data-tds1.0-cil libmono-sqlite1.0-cil vim-tiny upstart-logd libgl1-mesa-glx libmono-system-web1.0-cil libgnome-window-settings1 libgnome-media0 xserver-xorg-video-i128 gtk2-engines xserver-xorg-video-neomagic libedata-cal1.2-6 xserver-xorg-video-tseng sysvutils libhtml-tagset-perl xserver-xorg-video-ark xserver-xorg-video-apm evolution-data-server-common libx11-data libpisock9 libsensors3 libglib2.0-cil
2006-09-28 23:21:59,516 DEBUG Upgrade: gtk2-engines-lighthouseblue scim-gtk2-immodule xset libpng12-0 gtk2-engines-ubuntulooks openoffice.org-writer parted libbonobo2-common libtext-wrapi18n-perl gnome-power-manager acpi-support libcupsys2 libgdl-1-0 bittorrent libxi6 libsasl2 doc-base xfonts-75dpi gtk2-engines-clearlooks libxt-java libflac7 language-pack-gnome-en libxfont1 python-launchpad-integration brltty-x11 ltrace dictionaries-common tsclient libmetacity0 cdparanoia libaspell15 pciutils gstreamer0.10-plugins-base libgnomeprintui2.2-0 mesa-utils xmodmap gnome-desktop-data libjpeg62 libcurl3 less python-xml libsnmp9 scim-modules-socket libcupsimage2 wvdial libusb-0.1-4 whiptail libacl1 libpam0g python2.4-minimal libgimp2.0 adduser python-newt console-tools libbz2-1.0 deskbar-applet gnome-media openssl openoffice.org-l10n-en-za libklibc libvte-common libc6 libsdl1.2debian-alsa ntpdate xsltproc python-unit librdf0 laptop-mode-tools ubuntu-docs libscim8c2a libsane gnupg xfsprogs x11perf libfreetype6 libhsqldb-java gstreamer0.10-gnomevfs python-genetic bsh libxrandr2 libguile-ltdl-1 libgeoip1 ubuntu-artwork gnome-system-monitor mysql-common linux-restricted-modules-common libwrap0 python-glade2 gnome-games-data intltool-debian ttf-indic-fonts patch e2fslibs libperl5.8 python-apt dselect launchpad-integration libidn11 iso-codes mdadm hwdata gstreamer0.10-plugins-base-apps finger openoffice.org-help-en-us libgnome-keyring0 hal hplip discover1 login xkeyboard-config libxdamage1 netbase libpq4 libbtctl2 libgamin0 ttf-oriya-fonts libfontenc1 openoffice.org-common defoma libxkbfile1 libxft2 libqthreads-12 libavahi-common-data zlib1g pmount gnome-utils linux-sound-base module-init-tools openoffice.org-thesaurus-en-us gnome-doc-utils usplash language-selector hotkey-setup python2.4-librdf libavc1394-0 foomatic-filters linux-image-386 libidl0 liblpint-bonobo0 liblwres9 python-gnome2-extras sysklogd openssh-client gtk2-engines-pixbuf evolution-webcal libmagic1 libgnomecupsui1.0-1c2a libcomerr2 evolution-data-server xfonts-base libbeagle0 foomatic-db-hpijs ppp libgtksourceview1.0-0 gtk2-engines-redmond95 linux-restricted-modules-386 libxpm4 tcpdump mtr-tiny libjessie-java libpanel-applet2-0 gcc-4.0-base python-gnome2 libxxf86dga1 libxinerama1 libgnomevfs2-common ttf-freefont debconf-i18n libxss1 libxres1 ttf-tamil-fonts ssh-askpass-gnome libisc11 ttf-malayalam-fonts librsvg2-2 libldap2 libgcc1 xsane libxrender1 libfribidi0 gnome-about python-gnome2-desktop libstlport4.6c2 gtkhtml3.8 gnome-control-center libgksu1.2-1 update-manager fstobdf libavahi-common3 libapm1 libnotify1 alsa-base libice6 libieee1284-3 libpam-runtime xfonts-scalable fastjar gstreamer0.10-x dbus-1-utils contact-lookup-applet libxmlsec1-nss libpango1.0-common xbase-clients libsmbclient sysv-rc perl libgnomecanvas2-0 bug-buddy x11-common libkrb53 xcursor-themes librasqal0 gcc-3.3-base gs-esp logrotate libopencdk8 base-files linux-386 ttf-lao libvorbis0a libgda2-common libpisync0 openoffice.org-gtk gnome-btdownload python-gst0.10 gaim-data libwmf0.2-7 bicyclerepair libgcj-common libsndfile1 gnome-icon-theme brltty reiserfsprogs dmsetup libxmlsec1-openssl bluez-pin libxtrap6 libfontconfig1 cupsys-bsd ttf-bitstream-vera libxerces2-java libglu1-mesa evms-ncurses libwpd8c2a libconsole openoffice.org-gnome ubuntu-standard gnome-applets-data ekiga xtrap libgtk2.0-bin libnss3 libgmp3c2 docbook-xml libmng1 language-pack-en-base ttf-arabeyes xprop liborbit2 bsdmainutils hplip-data system-tools-backends x-ttcidfont-conf libedataserver1.2-7 libgnomeprint2.2-0 evolution-plugins iproute gnome-mime-data libdevmapper1.02 libnautilus-extension1 libdjvulibre15 cupsys-driver-gutenprint cpio xfonts-utils libncurses5 gzip util-linux libisccc0 python-examples lvm-common libsysfs2 libgnomeui-common libgnomeprint2.2-data xscreensaver-gl libdns21 smbclient libestools1.2 nvidia-kernel-common gnome-pilot libxt6 libxalan2-java libpt-plugins-v4l2 libsepol1 freeglut3 gnome-keyring mount libxslt1.1 procps powernowd zenity mii-diag rhythmbox initramfs-tools libbind9-0 hostname libstdc++5 ttf-kochi-mincho libstdc++6 ttf-punjabi-fonts cupsys-client toshset manpages libxmu6 gamin libwvstreams4.2-base libcairo2 ttf-opensymbol libatspi1.0-0 libpt-plugins-alsa libglew1 gdb libxxf86misc1 gdm librsvg2-common libbonobo2-0 lsb-release gnome-session libgdbm3 libgtk2.0-0 ucf libgnome2-vfs-perl libopal-2.2.0 gettext-base udev rsync libselinux1 ttf-kochi-gothic libsqlite3-0 libgnomeprintui2.2-common libgphoto2-port0 anacron sound-juicer libsnmp-base python-vte gtk2-engines-highcontrast libxtst6 irssi gnome-panel-data notification-daemon debianutils gedit-common foomatic-filters-ppds libeel2-data at samba-common liblircclient0 xresprobe perl-modules python-eunuchs libogg0 libxaw7 libxmlsec1 openoffice.org-base ttf-arphic-ukai e2fsprogs vnc-common perl-base java-common poppler-utils libmysqlclient15off xserver-xorg ttf-bengali-fonts ttf-gujarati-fonts at-spi makedev libgtkhtml3.8-15 xfonts-100dpi totem libgda2-3 libwvstreams4.2-extras libslang2 libjline-java libtiff4 language-selector-common nano libtag1c2a libtotem-plparser1 klogd fping openoffice.org-l10n-common dnsutils capplets-data libgcj7-jar gnome-menus libgnome2-common libxmuu1 aptitude xrdb libgpod0 update-notifier openoffice.org-math xdriinfo dhcp3-common libdmx1 libglade2-0 xserver-xorg-input-all nautilus python-xdg libtext-iconv-perl libpt-plugins-v4l libkpathsea4 mkisofs language-pack-gnome-en-base pppconfig libiw28 whois gnome2-user-guide lsb-base ttf-dejavu readahead openoffice.org-l10n-en-us java-gcj-compat evolution-exchange python-gdbm libdbus-glib-1-2 libgail-common libgtksourceview-common discover1-data gstreamer0.10-tools unattended-upgrades ubuntu-minimal libpaper1 bash openoffice.org-l10n-en-gb rss-glx gstreamer0.10-plugins-good lvm2 alacarte openoffice.org-java-common python-geoip xutils guile-1.6-libs net-tools python-pyao binutils-static dpkg libisccfg1 bitmap grep liblcms1 python2.4-examples reportbug gedit tk8.4 libgutenprintui2-1 powermgmt-base libgnomevfs2-bin gimp-print wireless-tools passwd desktop-file-utils libgnomeui-0 python-libxml2 libblkid1 vim-runtime libvorbisfile3 libuuid1 firefox-gnome-support python-pyorbit fontconfig libshout3 gnome-pilot-conduits xev gnome-accessibility-themes vino libgstreamer-plugins-base0.10-0 libnspr4 sed gnome-system-tools openoffice.org-draw libgnome-desktop-2 libeel2-2 libcamel1.2-8 libraptor1 liboil0.3 libpcap0.8 lsof foomatic-db libgsf-1-common ttf-devanagari-fonts libwnck18 metacity openoffice.org-core eject tango-icon-theme-common xpmutils bluez-cups gimp coreutils xrefresh libgnome-mag2 libpt-1.10.0 serpentine vbetool lftp tcl8.4 libxext6 ubuntu-desktop libijs-0.35 xterm libgnome2-0 bind9-host xhost gok xvncviewer openoffice.org-impress libvorbisenc2 libss2 gnome-panel wget libgail-gnome-module dhcp3-client po-debconf tcpd gnome-volume-manager grub tangerine-icon-theme cdrdao libspeex1 ttf-kannada-fonts gnopernicus file-roller libservlet2.3-java libelfg0 info gthumb libglib2.0-0 libncursesw5 xsane-common openoffice.org-calc libtheora0 python-epydoc python-gnupginterface xinit console-common libfs6 python-gmenu console-data libcdparanoia0 gnome-cups-manager xkbutils gtk2-engines-thinice libssl0.9.8 unzip libxml2-utils apmd libpopt0 libxcursor1 findutils gstreamer0.10-esd cron libc6-i686 evms belocs-locales-bin gtk2-engines-smooth python2.4 python-minimal libao2 nautilus-data libdv4 libtext-charwidth-perl firefox apt gcalctool tar zip libbonoboui2-common libwnck-common sudo totem-gstreamer libbonoboui2-0 python-uno gnome-nettool ttf-telugu-fonts dmidecode alsa-utils pcmciautils gnome-themes wpasupplicant libgtop2-7 libasound2 openoffice.org libgphoto2-2 hal-device-manager libgtk2.0-common libgnomevfs2-extra libmagick9 gij-4.1 libgstreamer0.10-0 netcat libgl1-mesa-dri klibc-utils acpid libgnomevfs2-0 openoffice.org-evolution libxfixes3 gtk2-engines-crux python-pqueue synaptic dbus foomatic-db-gutenprint gdebi libgcrypt11 libedata-book1.2-2 ncurses-bin pcmcia-cs slocate busybox-initramfs libglib2.0-data libuniconf4.2 lshw libgpg-error0 gimp-python gtk2-engines-mist libgutenprint2 groff-base python-pyogg libhal-storage1 hdparm bsdutils ncurses-base libgnomebt0 ttf-gentium xscreensaver-data gcj-4.1-base apt-utils nautilus-sendto libsdl1.2debian libsasl2-modules xrandr libpango1.0-0 python-gtk2 libgnomecups1.0-1 libexpat1 libxxf86vm1 strace bluez-utils libpoppler1 libevms-2.5 libglib-perl nautilus-cd-burner libmdbtools vim app-install-data evolution debconf libdiscover1 tango-icon-theme libgnome-menu2 initscripts gnome-terminal mozilla-firefox-locale-en-gb libattr1 cdrecord python-pisock libxdmcp6 libbrlapi1 python-cddb gnome-applets libgnome-speech3 mime-support libhal1 usbutils locales libavahi-glib1 file libxml2 myspell-en-us libgdl-1-common foomatic-db-engine example-content python ijsgutenprint myspell-en-gb libaudio2 vim-common gstreamer0.10-alsa evince gettext libpam-modules gconf-editor aspell gucharmap libgnucrypto-java xcursorgen libcurl3-gnutls python-pyvorbis shared-mime-info libexif12 libavahi-client3 psmisc language-pack-en dvd+rw-tools xserver-xorg-core libsoup2.2-8 libsexy2 gnome-games libgnomecanvas2-common gimp-data libxv1 libgpmg1 python-tk gnome-mag xml-core libgc1c2 libgtkhtml2-0 gnome-terminal-data libgnome2-perl gksu pppoeconf gaim cupsys mcpp yelp libpoppler1-glib libxau6 libgnome-pilot2 liblaunchpad-integration0 libatk1.0-0 ubuntu-sounds foo2zjs gnome-app-install libsm6 bzip2 python-numeric scim libx11-6 libdrm2 eog gnome-screensaver fdutils blt
2006-09-28 23:21:59,779 DEBUG required download: 542693686.0
2006-09-28 23:21:59,780 DEBUG free on /var/cache/apt/archives/: 12766531584
2006-09-28 23:22:00,040 DEBUG need additional space: 219648000.0
2006-09-28 23:22:00,305 DEBUG /usr on same fs as /var/cache/apt/archives/, taking dl-size into account, new free: 12223837898.0
2006-09-28 23:22:00,306 DEBUG using safety buffer: 104857600
2006-09-29 01:06:56,770 DEBUG Obsolete: libcompfaceg1 python2.4-syck ubuntu-base python2.4-kjbuckets python2.4-imaging-sane python-htmltmpl libdbus-1-2 hwdb-client python2.4-gadfly python2.4-ldap libbluetooth1 python2.4-jabber libraw1394-5 python-parted python2.4-pgsql libedataserverui1.2-6 python2.4-geoip libparted1.6-13 python-pgsql python-syck libgnutls12 python2.4-adns python2.4-pam python2.4-mysqldb libnautilus-burn3 python2.4-soappy doc-debian python2.4-htmlgen python-stats python2.4-pyopenssl python2.4-sqlite linux-image-2.6.15-23-386 python2.4-simpletal python2.4-pycurl python2.4-reportlab libgucharmap4 libebook1.2-5 libexchange-storage1.2-1 python2.4-eunuchs libunicode-string-perl python-kjbuckets python2.4-epydoc linux-restricted-modules-2.6.15-23-386 python2.4-clientcookie python2.4-pexpect libecal1.2-3 python2.4-imaging imake python2.4-unit libpisock8 python2.4-htmltmpl makedepend python2.4-pyxattr libedata-cal1.2-1 libegroupwise1.2-9 python2.4-pylibacl libnetcdf3 python-soappy libgail17 libgsf-1-113 python2.4-crypto python-netcdf libtasn1-2 python2.4-xmpp python-gadfly hplip-ppds
2006-09-29 01:06:56,781 DEBUG Foreign:
2006-09-29 01:06:56,782 DEBUG forced_obsoletes: []
2006-09-29 01:06:56,804 DEBUG demoted: 'libgnutls12 libnetcdf3 libunicode-string-perl python-netcdf python-parted python-pgsql'
2006-09-29 08:17:19,539 DEBUG remove_candidates: 'set(['libcompfaceg1', 'libbluetooth1', 'ubuntu-base', 'python2.4-kjbuckets', 'python2.4-imaging-sane', 'python-htmltmpl', 'libdbus-1-2', 'libgail17', 'hwdb-client', 'python2.4-ldap', 'python2.4-jabber', 'python2.4-htmltmpl', 'libraw1394-5', 'python-parted', 'python2.4-pgsql', 'python2.4-imaging', 'libedataserverui1.2-6', 'libparted1.6-13', 'python2.4-mysqldb', 'python-syck', 'libgsf-1-113', 'libgnutls12', 'python2.4-syck', 'libnautilus-burn3', 'python-pgsql', 'python2.4-pam', 'python2.4-soappy', 'doc-debian', 'libexchange-storage1.2-1', 'python-stats', 'libecal1.2-3', 'python2.4-sqlite', 'linux-image-2.6.15-23-386', 'python2.4-eunuchs', 'python2.4-pycurl', 'python2.4-reportlab', 'libgucharmap4', 'python2.4-adns', 'libebook1.2-5', 'python2.4-simpletal', 'libunicode-string-perl', 'python-kjbuckets', 'python2.4-epydoc', 'linux-restricted-modules-2.6.15-23-386', 'python2.4-clientcookie', 'python2.4-pexpect', 'python-netcdf', 'python2.4-geoip', 'python2.4-gadfly', 'python2.4-unit', 'libpisock8', 'python2.4-pyopenssl', 'imake', 'makedepend', 'libedata-cal1.2-1', 'libegroupwise1.2-9', 'python2.4-pylibacl', 'libnetcdf3', 'python-soappy', 'python2.4-pyxattr', 'python2.4-htmlgen', 'python2.4-crypto', 'libtasn1-2', 'python2.4-xmpp', 'python-gadfly', 'hplip-ppds'])'
2006-09-29 08:17:19,540 DEBUG Start checking for obsolete pkgs
2006-09-29 08:17:20,003 DEBUG 'ubuntu-base' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:20,419 DEBUG 'python2.4-imaging-sane' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:21,219 DEBUG 'python2.4-ldap' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:21,460 DEBUG 'python2.4-jabber' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:22,293 DEBUG 'python2.4-imaging' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:22,826 DEBUG 'python2.4-mysqldb' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:23,914 DEBUG 'python2.4-pam' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:24,939 DEBUG 'python2.4-sqlite' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:25,251 DEBUG 'linux-image-2.6.15-23-386' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:25,825 DEBUG 'python2.4-reportlab' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:26,263 DEBUG 'python2.4-adns' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:26,743 DEBUG 'python2.4-simpletal' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:27,449 DEBUG 'linux-restricted-modules-2.6.15-23-386' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:27,796 DEBUG 'python2.4-clientcookie' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:28,138 DEBUG 'python2.4-pexpect' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:29,169 DEBUG 'python2.4-pyopenssl' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:29,528 DEBUG 'imake' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:29,892 DEBUG 'makedepend' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:30,498 DEBUG 'python2.4-pylibacl' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:31,139 DEBUG 'python2.4-pyxattr' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:31,518 DEBUG 'python2.4-htmlgen' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:31,897 DEBUG 'python2.4-crypto' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:32,438 DEBUG 'python2.4-xmpp' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:32,981 DEBUG 'hplip-ppds' scheduled for remove but not in remove_candiates, skipping
2006-09-29 08:17:32,981 DEBUG Finish checking for obsolete pkgs
2006-09-29 08:17:33,046 DEBUG The following packages are remove candidates: python-pgsql libgucharmap4 python2.4-pycurl python2.4-unit python2.4-htmltmpl python2.4-soappy libnautilus-burn3 libtasn1-2 python2.4-eunuchs python-parted python-htmltmpl libebook1.2-5 libegroupwise1.2-9 python2.4-pgsql libcompfaceg1 hwdb-client libunicode-string-perl libexchange-storage1.2-1 python-kjbuckets python-syck libraw1394-5 libedata-cal1.2-1 libgnutls12 libedataserverui1.2-6 libgsf-1-113 python2.4-kjbuckets python2.4-epydoc libecal1.2-3 python2.4-syck libdbus-1-2 python-gadfly libbluetooth1 libgail17 libnetcdf3 python2.4-gadfly doc-debian libparted1.6-13 python-netcdf python-stats python2.4-geoip python-soappy libpisock8

apt.log:

Installing python-imaging as dep of python-imaging-sane
Installing hplip-ppds as dep of foomatic-filters-ppds
Starting
Starting 2
Investigating hpijs
Package hpijs has broken dep on hplip-ppds
  Considering hplip-ppds 2 as a solution to hpijs 3
  Added hplip-ppds to the remove list
  Fixing hpijs via remove of hplip-ppds
Investigating python-imaging
Package python-imaging has broken dep on python2.4-imaging
  Considering python2.4-imaging 1 as a solution to python-imaging 1
  Holding Back python-imaging rather than change python2.4-imaging
Investigating python-crypto
Package python-crypto has broken dep on python2.4-crypto
  Considering python2.4-crypto 0 as a solution to python-crypto 0
  Holding Back python-crypto rather than change python2.4-crypto
Investigating python-ldap
Package python-ldap has broken dep on python2.4-ldap
  Considering python2.4-ldap 0 as a solution to python-ldap 0
  Holding Back python-ldap rather than change python2.4-ldap
Investigating python-pexpect
Package python-pexpect has broken dep on python2.4-pexpect
  Considering python2.4-pexpect 0 as a solution to python-pexpect 0
  Holding Back python-pexpect rather than change python2.4-pexpect
Investigating python-imaging-sane
Package python-imaging-sane has broken dep on python-imaging
  Considering python-imaging 1 as a solution to python-imaging-sane 0
  Holding Back python-imaging-sane rather than change python-imaging
Investigating python-mysqldb
Package python-mysqldb has broken dep on mysql-server
  Considering mysql-server 0 as a solution to python-mysqldb 0
  Holding Back python-mysqldb rather than change mysql-server
Investigating python-pyxattr
Package python-pyxattr has broken dep on python2.4-pyxattr
  Considering python2.4-pyxattr 0 as a solution to python-pyxattr 0
  Holding Back python-pyxattr rather than change python2.4-pyxattr
Investigating python-htmlgen
Package python-htmlgen has broken dep on python2.4-htmlgen
  Considering python2.4-htmlgen 0 as a solution to python-htmlgen 0
  Holding Back python-htmlgen rather than change python2.4-htmlgen
Investigating python-clientcookie
Package python-clientcookie has broken dep on python2.4-clientcookie
  Considering python2.4-clientcookie 0 as a solution to python-clientcookie 0
  Holding Back python-clientcookie rather than change python2.4-clientcookie
Investigating python-adns
Package python-adns has broken dep on python2.4-adns
  Considering python2.4-adns 0 as a solution to python-adns 0
  Holding Back python-adns rather than change python2.4-adns
Investigating python-pam
Package python-pam has broken dep on python2.4-pam
  Considering python2.4-pam 0 as a solution to python-pam 0
  Holding Back python-pam rather than change python2.4-pam
Investigating python-pyopenssl
Package python-pyopenssl has broken dep on python2.4-pyopenssl
  Considering python2.4-pyopenssl 0 as a solution to python-pyopenssl 0
  Holding Back python-pyopenssl rather than change python2.4-pyopenssl
Investigating python-sqlite
Package python-sqlite has broken dep on python2.4-sqlite
  Considering python2.4-sqlite 0 as a solution to python-sqlite 0
  Holding Back python-sqlite rather than change python2.4-sqlite
Investigating python-pylibacl
Package python-pylibacl has broken dep on python2.4-pylibacl
  Considering python2.4-pylibacl 0 as a solution to python-pylibacl 0
  Holding Back python-pylibacl rather than change python2.4-pylibacl
Investigating python-jabber
Package python-jabber has broken dep on python2.4-jabber
  Considering python2.4-jabber 0 as a solution to python-jabber 0
  Holding Back python-jabber rather than change python2.4-jabber
Investigating python-xmpp
Package python-xmpp has broken dep on python2.4-xmpp
  Considering python2.4-xmpp 0 as a solution to python-xmpp 0
  Holding Back python-xmpp rather than change python2.4-xmpp
Investigating python-reportlab
Package python-reportlab has broken dep on python2.4-reportlab
  Considering python2.4-reportlab 0 as a solution to python-reportlab 0
  Holding Back python-reportlab rather than change python2.4-reportlab
Investigating python-simpletal
Package python-simpletal has broken dep on python2.4-simpletal
  Considering python2.4-simpletal 0 as a solution to python-simpletal 0
  Holding Back python-simpletal rather than change python2.4-simpletal
Investigating foomatic-filters-ppds
Package foomatic-filters-ppds has broken dep on hplip-ppds
  Considering hplip-ppds 2 as a solution to foomatic-filters-ppds -1
  Removing foomatic-filters-ppds rather than change hplip-ppds
 Try to Re-Instate python-imaging
 Try to Re-Instate python-crypto
 Try to Re-Instate python-ldap
 Try to Re-Instate python-pexpect
 Try to Re-Instate python-imaging-sane
 Try to Re-Instate python-mysqldb
 Try to Re-Instate python-pyxattr
 Try to Re-Instate python-htmlgen
 Try to Re-Instate python-clientcookie
 Try to Re-Instate python-adns
 Try to Re-Instate python-pam
 Try to Re-Instate python-pyopenssl
 Try to Re-Instate python-sqlite
 Try to Re-Instate python-pylibacl
 Try to Re-Instate python-jabber
 Try to Re-Instate python-xmpp
 Try to Re-Instate python-reportlab
 Try to Re-Instate python-simpletal
Done
MarkUpgrade() called on a non-upgrable pkg: 'ubuntu-desktop'
MarkUpgrade() called on a non-upgrable pkg: 'kubuntu-desktop'
ERROR:root:not handled expection:
Traceback (most recent call last):

  File "/usr/bin/update-manager", line 84, in ?
    controler.doPostUpgrade()

  File "/usr/lib/python2.4/site-packages/DistUpgrade/DistUpgradeControler.py", line 517, in doPostUpgrade
    if not self.cache._tryMarkObsoleteForRemoval(pkgname, remove_candidates, self.foreign_pkgs):

  File "/usr/lib/python2.4/site-packages/DistUpgrade/DistUpgradeCache.py", line 280, in _tryMarkObsoleteForRemoval
    self[pkgname].markDelete()

  File "/usr/lib/python2.4/site-packages/apt/cache.py", line 82, in __getitem__
    return self._dict[key]

KeyError: 'ivman'

Michael Vogt (mvo) wrote :

Thanks for your bugreport.

I fixed this in my local branch and it will be part of the next upgrade.

Cheers,
 Michael

Changed in update-manager:
assignee: nobody → mvo
importance: Undecided → Medium
status: Unconfirmed → Fix Committed
Michael Vogt (mvo) on 2006-10-06
Changed in update-manager:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers